<template>
    <v-col cols="auto">
        <v-card min-width="380" variant="solo">
            <!-- display name -->
            <template v-slot:title>
                <span style="margin-right: 10px;">Hi,</span><span>{{ fname }}</span>
            </template>

            <!-- display notification -->
            <template v-slot:prepend>
                <v-badge :content="9" color="primary">
                    <v-btn icon="mdi mdi-bell-outline"></v-btn>
                </v-badge>
            </template>
            <!-- display profile image -->
            <template v-slot:append>
                <v-avatar size="60">
                    <v-img :src="profile" alt="John"></v-img>
                </v-avatar>
                <v-btn variant="text" :icon="show ? 'mdi-close' : 'mdi-pencil'" @click="show = !show"></v-btn>
            </template>

            <!-- edit name component -->
            <v-expand-transition>
                <div v-show="show">
                    <editComp :newFname="fname" @update-fname="updateFname" />
                </div>
            </v-expand-transition>

        </v-card>
    </v-col>
</template>
  
<script>
import editComp from './editComp.vue';

export default {
    components: {
        editComp
    },
    data() {
        return {
            fname: 'Nueng',
            profile: 'https://cdn.vuetifyjs.com/images/john.png',
            show: false,

        };
    },
    // methods edit Fname
    methods: {
        updateFname(newFname) {
            this.fname = newFname;
            this.show = false;
        },
    },

};
</script>
  